> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a role's name / permissions

> Update a role's name / permissions



## OpenAPI

````yaml /api-reference/openapi.json patch /api/roles/{id}
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/roles/{id}:
    patch:
      tags:
        - Roles
      summary: Update a role's name / permissions
      description: Update a role's name / permissions
      operationId: patchApiRolesById
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 2
                  maxLength: 60
                permissions:
                  type: array
                  items:
                    type: string
                    enum:
                      - self:read
                      - self:write
                      - employee:read
                      - employee:write
                      - team:read
                      - location:read
                      - location:write
                      - department:read
                      - department:write
                      - settings:read
                      - settings:write
                      - role:read
                      - role:write
                      - attendance:read
                      - attendance:punch
                      - attendance:write
                      - leave:read
                      - leave:write
                      - leave:approve
                      - leave:config
                      - pay:read
                      - payroll:read
                      - payroll:write
                      - compliance:read
                      - compliance:write
                      - integration:read
                      - integration:write
                      - report:read
                      - report:write
                      - shift:read
                      - shift:write
                      - roster:read
                      - roster:write
                      - roster:publish
                      - holiday:read
                      - holiday:write
                      - swap:read
                      - swap:write
                      - swap:approve
                      - regularization:read
                      - regularization:write
                      - regularization:approve
                      - document:read
                      - document:write
                      - device:read
                      - device:write
                      - audit:read
                      - notification:read
                      - message:write
                      - overtime:request
                      - overtime:approve
                      - hr:approve
                      - api:manage
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  orgId:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  name:
                    type: string
                  permissions:
                    type: array
                    items:
                      type: string
                      enum:
                        - self:read
                        - self:write
                        - employee:read
                        - employee:write
                        - team:read
                        - location:read
                        - location:write
                        - department:read
                        - department:write
                        - settings:read
                        - settings:write
                        - role:read
                        - role:write
                        - attendance:read
                        - attendance:punch
                        - attendance:write
                        - leave:read
                        - leave:write
                        - leave:approve
                        - leave:config
                        - pay:read
                        - payroll:read
                        - payroll:write
                        - compliance:read
                        - compliance:write
                        - integration:read
                        - integration:write
                        - report:read
                        - report:write
                        - shift:read
                        - shift:write
                        - roster:read
                        - roster:write
                        - roster:publish
                        - holiday:read
                        - holiday:write
                        - swap:read
                        - swap:write
                        - swap:approve
                        - regularization:read
                        - regularization:write
                        - regularization:approve
                        - document:read
                        - document:write
                        - device:read
                        - device:write
                        - audit:read
                        - notification:read
                        - message:write
                        - overtime:request
                        - overtime:approve
                        - hr:approve
                        - api:manage
                  isPreset:
                    type: boolean
                  employeeCount:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                required:
                  - id
                  - orgId
                  - name
                  - permissions
                  - isPreset
                  - employeeCount
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````